[[source]]
url = "https://pypi.org/simple"
verify_ssl = true
name = "pypi"

[scripts]
test = "pytest tests/"
"test:cov" = "pytest --cov=src --cov-branch --cov-report=term-missing tests/"
"test:report" = "pytest --cov=src --cov-branch --cov-report=term-missing --html=.report/unit_test/test_result.html tests/"
"test:walk-through" = "pytest tests/test_walk_through.py --walk-through --cov-report=term-missing --html=.report/walk_through/test_result.html"

[packages]
boto3 = "*"
simple-salesforce = "*"
tenacity = "*"

[dev-packages]
autopep8 = "*"
flake8 = "*"
pytest = "*"
pytest-cov = "*"
pytest-html = "*"
moto = "*"

[requires]
python_version = "3.8"
